From 05c9979de0596f9bbe89304f54e20b759205b57b Mon Sep 17 00:00:00 2001
From: Anton Voloshin <a.voloshin@postgrespro.ru>
Date: Fri, 21 Apr 2023 13:55:05 +0300
Subject: [PATCH] Remove duplicate break in find_struct_member's switch

---
 src/backend/utils/adt/multirangetypes_selfuncs.c | 1 -
 src/interfaces/ecpg/preproc/variable.c           | 1 -
 2 files changed, 2 deletions(-)

diff --git a/src/backend/utils/adt/multirangetypes_selfuncs.c b/src/backend/utils/adt/multirangetypes_selfuncs.c
index e9326f8342a..cefc4710fd4 100644
--- a/src/backend/utils/adt/multirangetypes_selfuncs.c
+++ b/src/backend/utils/adt/multirangetypes_selfuncs.c
@@ -35,7 +35,6 @@ static double calc_multirangesel(TypeCacheEntry *typcache,
 								 VariableStatData *vardata,
 								 const MultirangeType *constval, Oid operator);
 static double default_multirange_selectivity(Oid operator);
-static double default_multirange_selectivity(Oid operator);
 static double calc_hist_selectivity(TypeCacheEntry *typcache,
 									VariableStatData *vardata,
 									const MultirangeType *constval,
diff --git a/src/interfaces/ecpg/preproc/variable.c b/src/interfaces/ecpg/preproc/variable.c
index 2a2b9531187..b23ed5edf46 100644
--- a/src/interfaces/ecpg/preproc/variable.c
+++ b/src/interfaces/ecpg/preproc/variable.c
@@ -105,7 +105,6 @@ find_struct_member(char *name, char *str, struct ECPGstruct_member *members, int
 						else
 							return find_struct_member(name, ++end, members->type->u.members, brace_level);
 						break;
-						break;
 					case '.':
 						if (members->type->type == ECPGt_array)
 							return find_struct_member(name, end, members->type->u.element->u.members, brace_level);
-- 
2.40.0

